<?xml version="1.0" encoding="utf-8" ?>
<Feature SiLA2Version="1.0" FeatureVersion="1.0" Originator="de.unigoettingen"
         Category="tests"
         xmlns="http://www.sila-standard.org"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://www.sila-standard.org https://gitlab.com/SiLA2/sila_base/raw/master/schema/FeatureDefinition.xsd">
    <Identifier>Timer</Identifier>
    <DisplayName>Timer</DisplayName>
    <Description>Provides timing utilities</Description>
    <Command>
        <Identifier>Countdown</Identifier>
        <DisplayName>Countdown</DisplayName>
        <Description>Count down from N to 0 and return the time of finishing</Description>
        <Observable>Yes</Observable>
        <Parameter>
            <Identifier>N</Identifier>
            <DisplayName>N</DisplayName>
            <Description>The number from which to count down</Description>
            <DataType>
                <Constrained>
                    <DataType>
                        <Basic>Integer</Basic>
                    </DataType>
                    <Constraints>
                        <MinimalInclusive>0</MinimalInclusive>
                    </Constraints>
                </Constrained>
            </DataType>
        </Parameter>
        <Response>
            <Identifier>Timestamp</Identifier>
            <DisplayName>Timestamp</DisplayName>
            <Description>The timestamp when the countdown finished</Description>
            <DataType>
                <Basic>Timestamp</Basic>
            </DataType>
        </Response>
        <IntermediateResponse>
            <Identifier>CurrentNumber</Identifier>
            <DisplayName>Current Number</DisplayName>
            <Description>The current number</Description>
            <DataType>
                <Constrained>
                    <DataType>
                        <Basic>Integer</Basic>
                    </DataType>
                    <Constraints>
                        <MinimalInclusive>0</MinimalInclusive>
                    </Constraints>
                </Constrained>
            </DataType>
        </IntermediateResponse>
    </Command>
    <Property>
        <Identifier>CurrentTime</Identifier>
        <DisplayName>Current Time</DisplayName>
        <Description>The current time</Description>
        <Observable>Yes</Observable>
        <DataType>
            <Basic>Timestamp</Basic>
        </DataType>
    </Property>
</Feature>
